commit: 76de7b7fd59422898dd599f7dba5817e9023732a
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 7 10:50:18 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Feb 7 10:51:18 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76de7b7f
games-emulation/ppsspp: Remove bogus patch. Fix install directory (typo).
Also taken into consideration in this commit is the sed command pruning all -O2
flags in favour of -O3, courtesy of Michał Ziąbkowski <mziab <AT> o2.pl>.
Gentoo-Bug: 574000
Package-Manager: portage-2.2.26
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
games-emulation/ppsspp/files/ppsspp-cmake.patch | 32 ----------------------
...sspp-1.1.1-r1.ebuild => ppsspp-1.1.0-r2.ebuild} | 7 +++--
...sspp-1.1.0-r1.ebuild => ppsspp-1.1.1-r2.ebuild} | 5 +++-
games-emulation/ppsspp/ppsspp-9999.ebuild | 7 +++--
4 files changed, 14 insertions(+), 37 deletions(-)
diff --git a/games-emulation/ppsspp/files/ppsspp-cmake.patch
b/games-emulation/ppsspp/files/ppsspp-cmake.patch
deleted file mode 100644
index 4a0a036..0000000
--- a/games-emulation/ppsspp/files/ppsspp-cmake.patch
+++ /dev/null
@@ -1,32 +0,0 @@
---- CMakeLists.txt.orig 2016-01-04 20:44:44.010023206 +0800
-+++ CMakeLists.txt 2016-01-04 20:45:34.910024088 +0800
-@@ -219,11 +219,11 @@
- if(NOT MSVC)
- set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -D_DEBUG")
- set(CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} -Os
-D_NDEBUG")
-- set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -D_NDEBUG")
-+ set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2 -D_NDEBUG")
- set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}
-O2 -g -D_NDEBUG")
- set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g -D_DEBUG")
- set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -Os
-D_NDEBUG")
-- set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O3 -D_NDEBUG")
-+ set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2 -D_NDEBUG")
- set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -O2
-g -D_NDEBUG")
-
- # Disable some warnings
-@@ -634,12 +634,12 @@
- if (NOT MSVC)
- # These can be fast even for debug.
- if(NOT SNAPPY_FOUND)
-- set_target_properties(snappy PROPERTIES COMPILE_FLAGS "-O3")
-+ set_target_properties(snappy PROPERTIES COMPILE_FLAGS "-O2")
- endif()
-- set_target_properties(udis86 PROPERTIES COMPILE_FLAGS "-O3")
-- set_target_properties(cityhash PROPERTIES COMPILE_FLAGS "-O3")
-+ set_target_properties(udis86 PROPERTIES COMPILE_FLAGS "-O2")
-+ set_target_properties(cityhash PROPERTIES COMPILE_FLAGS "-O2")
- if(NOT ZLIB_FOUND)
-- set_target_properties(zlib PROPERTIES COMPILE_FLAGS "-O3")
-+ set_target_properties(zlib PROPERTIES COMPILE_FLAGS "-O2")
- endif()
- endif()
diff --git a/games-emulation/ppsspp/ppsspp-1.1.1-r1.ebuild
b/games-emulation/ppsspp/ppsspp-1.1.0-r2.ebuild
similarity index 96%
rename from games-emulation/ppsspp/ppsspp-1.1.1-r1.ebuild
rename to games-emulation/ppsspp/ppsspp-1.1.0-r2.ebuild
index 19baa10..4d8db28 100644
--- a/games-emulation/ppsspp/ppsspp-1.1.1-r1.ebuild
+++ b/games-emulation/ppsspp/ppsspp-1.1.0-r2.ebuild
@@ -60,10 +60,13 @@ src_unpack() {
}
src_prepare() {
- epatch "$FILESDIR"/ppsspp-cmake.patch
+ # Bug 574000
+ sed -i -e "s#-O3#-O2#g;" "${S}"/CMakeLists.txt || die
+
epatch "$FILESDIR"/ppsspp-ffmpeg-x86_64.patch
epatch "$FILESDIR"/ppsspp-ffmpeg-x86.patch
epatch "$FILESDIR"/ppsspp-qt.patch
+
if use qt4 ; then
cd "${WORKDIR}"/"${P}"/Qt || die
qt4-r2_src_prepare
@@ -103,7 +106,7 @@ src_compile() {
src_install() {
if use qt4 ; then
- into /usr/games/bin
+ exeinto /usr/games/bin
newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
elif use qt5 ; then
exeinto /usr/games/bin
diff --git a/games-emulation/ppsspp/ppsspp-1.1.0-r1.ebuild
b/games-emulation/ppsspp/ppsspp-1.1.1-r2.ebuild
similarity index 97%
rename from games-emulation/ppsspp/ppsspp-1.1.0-r1.ebuild
rename to games-emulation/ppsspp/ppsspp-1.1.1-r2.ebuild
index 19baa10..3e3854f 100644
--- a/games-emulation/ppsspp/ppsspp-1.1.0-r1.ebuild
+++ b/games-emulation/ppsspp/ppsspp-1.1.1-r2.ebuild
@@ -60,10 +60,13 @@ src_unpack() {
}
src_prepare() {
- epatch "$FILESDIR"/ppsspp-cmake.patch
+ # Bug 574000
+ sed -i -e "s#-O3#-O2#g;" "${S}"/CMakeLists.txt || die
+
epatch "$FILESDIR"/ppsspp-ffmpeg-x86_64.patch
epatch "$FILESDIR"/ppsspp-ffmpeg-x86.patch
epatch "$FILESDIR"/ppsspp-qt.patch
+
if use qt4 ; then
cd "${WORKDIR}"/"${P}"/Qt || die
qt4-r2_src_prepare
diff --git a/games-emulation/ppsspp/ppsspp-9999.ebuild
b/games-emulation/ppsspp/ppsspp-9999.ebuild
index 86798ed..a3d3bcc 100644
--- a/games-emulation/ppsspp/ppsspp-9999.ebuild
+++ b/games-emulation/ppsspp/ppsspp-9999.ebuild
@@ -59,10 +59,13 @@ src_unpack() {
}
src_prepare() {
- epatch "$FILESDIR"/ppsspp-cmake.patch
+ # Bug 574000
+ sed -i -e "s#-O3#-O2#g;" "${S}"/CMakeLists.txt || die
+
epatch "$FILESDIR"/ppsspp-ffmpeg-x86_64.patch
epatch "$FILESDIR"/ppsspp-ffmpeg-x86.patch
epatch "$FILESDIR"/ppsspp-qt.patch
+
if use qt4 ; then
cd "${WORKDIR}"/"${P}"/Qt || die
qt4-r2_src_prepare
@@ -102,7 +105,7 @@ src_compile() {
src_install() {
if use qt4 ; then
- into /usr/games/bin
+ exeinto /usr/games/bin
newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
elif use qt5 ; then
exeinto /usr/games/bin